Bug 461862 - smssend creates rw------- files
smssend creates rw------- files
Status: CLOSED NEXTRELEASE
Product: Fedora EPEL
Classification: Fedora
Component: smstools (Show other bugs)
el4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Mahut
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-10 20:05 EDT by Patrick C. F. Ernzer
Modified: 2008-12-20 08:23 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-20 08:23:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2008-09-10 20:05:41 EDT
Description of problem:
smssend uses mktemp, which in turn makes files with permissions rw-------
this makes SMS sending fail whan one runs the daemon under another user than root

Version-Release number of selected component (if applicable):
smstools-3.0.10-1.el4

How reproducible:
always

Steps to Reproduce:
1. install smstools-3.0.10-1.el4
2. set in /etc/smsd.conf the following
user = sms
3. call smssend as any user besides the user 'sms'
  
Actual results:
smsd: Cannot handle /var/spool/sms/outgoing/send_123456: Access denied.

Expected results:
smsd is able to read the file that /usr/bin/smssend creates

Additional info:
brutal but effective is the addition of the following lines to /usr/bin/smssend
# mktemp makes files only rw for user, so we must chmod
# pcfe, 2008-09-11
chmod g+wr $FILE
Comment 1 Patrick C. F. Ernzer 2008-09-10 20:07:37 EDT
forgot to add, for chmod g+wr to be enough, one must obviously chgrp sms /var/spool/sms/outgoing and set it drwxrws-wx

Note You need to log in before you can comment on or make changes to this bug.